WebConfig (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.lotus.WebConfig interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.lotus
Interface WebConfig

All Superinterfaces:
  LogicalElement, LotusConfig, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface WebConfig

extends LotusConfig

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getAccessLogFormat()`
`java.lang.String` | `getAdditionalStringResourceLanguages()`
`java.lang.String` | `getAllowHTTPClientsToBrowseDatabases()`
`java.lang.String` | `getArabic()`
`java.lang.String` | `getBaltic()`
`java.lang.String` | `getBindToHostName()`
`java.lang.String` | `getCachedUserExpirationInterval()`
`java.lang.String` | `getCentralEuropean()`
`java.lang.String` | `getCGIDirectory()`
`double` | `getCGITimeout()`
`java.lang.String` | `getCGIURLPath()`
`java.lang.String` | `getCharsetInHeader()`
`java.lang.String` | `getClassPath()`
`java.lang.String` | `getCyrillic()`
`java.lang.String` | `getDefaultCharacterSetGroup()`
`java.lang.String` | `getDefaultHomePage()`
`java.lang.String` | `getDefaultLinesPerViewPage()`
`java.lang.String` | `getDefaultRegionalLocale()`
`java.lang.String` | `getDefaultSearchResultLimit()`
`java.lang.String` | `getDefaultStringResourceLanguage()`
`java.lang.String` | `getDNSLookup()`
`java.lang.String` | `getDNSLookupCache()`
`java.lang.String` | `getDNSLookupCacheFoundTimeout()`
`java.lang.String` | `getDNSLookupCacheNotFoundTimeout()`
`java.lang.String` | `getDNSLookupCacheSize()`
`java.lang.String` | `getEnableSSLV2()`
`java.lang.String` | `getFileCompressionOnUpload()`
`java.lang.String` | `getGreek()`
`java.lang.String` | `getHebrew()`
`java.lang.String` | `getHomeURL()`
`java.lang.String` | `getHostNames()`
`java.lang.String` | `getHTMLDirectory()`
`java.lang.String` | `getHTTPPersistentConnections()`
`java.lang.String` | `getIconDirectory()`
`java.lang.String` | `getIconURLPath()`
`java.lang.String` | `getIdleSessionTimeout()`
`java.lang.String` | `getImageConversionFormat()`
`java.lang.String` | `getIndic()`
`java.lang.String` | `getInputTimeout()`
`java.lang.String` | `getInterlacedRendering()`
`java.lang.String` | `getIpAddressAllowDenyPriority()`
`java.lang.String` | `getIPAddressAllowList()`
`java.lang.String` | `getIpAddressDenyList()`
`java.lang.String` | `getJapanese()`
`int` | `getJavaServletSupport()`
`java.lang.String` | `getKorean()`
`java.lang.String` | `getListenQueueSize()`
`java.lang.String` | `getLogFileDuration()`
`java.lang.String` | `getMakeAccessibleToCrawlers()`
`java.lang.String` | `getMaxActiveSessions()`
`java.lang.String` | `getMaxCachedDesigns()`
`java.lang.String` | `getMaxCachedUsers()`
`java.lang.String` | `getMaximumCachedCommands()`
`java.lang.String` | `getMaximumCachedDesigns()`
`java.lang.String` | `getMaximumCachedUsers()`
`java.lang.String` | `getMaximumRequestsOverSingleConnection()`
`java.lang.String` | `getMaximumSessionTimeout()`
`java.lang.String` | `getMaxLinesPerViewPage()`
`java.lang.String` | `getMaxLogEntryLength()`
`double` | `getMaxNumberOfConcurrentNetworkConnections()`
`java.lang.String` | `getMaxNumberOfRequestHeaders()`
`java.lang.String` | `getMaxNumberOfURLPathSegments()`
`java.lang.String` | `getMaxPostDataInKBytes()`
`java.lang.String` | `getMaxRequestsPerPersistentConnection()`
`java.lang.String` | `getMaxSearchResultLimit()`
`java.lang.String` | `getMaxSizeOfAccessLog()`
`java.lang.String` | `getMaxSizeOfRequestContent()`
`java.lang.String` | `getMaxSizeOfRequestHeaders()`
`java.lang.String` | `getMaxURLLength()`
`java.lang.String` | `getMetaCharset()`
`java.lang.String` | `getMinimumActiveThreads()`
`java.lang.String` | `getNumberOfActiveThreads()`
`java.lang.String` | `getOptimizeHTTPPerformance()`
`double` | `getOutputTimeout()`
`double` | `getPersistentConnectionTimeout()`
`java.lang.String` | `getRedirectToResolveExternalLinks()`
`java.lang.String` | `getRequestTimeout()`
`java.lang.String` | `getServerURLPath()`
`java.lang.String` | `getServletFileExtensions()`
`java.lang.String` | `getSessionAuthentication()`
`java.lang.String` | `getSessionPersistence()`
`java.lang.String` | `getSessionStateTracking()`
`java.lang.String` | `getSimplifedChinese()`
`java.lang.String` | `getSSLCiphers()`
`java.lang.String` | `getStoreUserPreferencesInCookies()`
`java.lang.String` | `getThai()`
`java.lang.String` | `getTimeFormat()`
`java.lang.String` | `getTraditionalChinese()`
`java.lang.String` | `getTurkish()`
`java.lang.String` | `getUseAutoDetectionOfCharset()`
`java.lang.String` | `getUseIIsServer()`
`java.lang.String` | `getUseUTF8ForHTMLForms()`
`java.lang.String` | `getUseUTF8ForOutput()`
`java.lang.String` | `getVietnamese()`
`java.lang.String` | `getWestern()`
`boolean` | `hasAccessLogFormat()`
`boolean` | `hasAdditionalStringResourceLanguages()`
`boolean` | `hasAllowHTTPClientsToBrowseDatabases()`
`boolean` | `hasArabic()`
`boolean` | `hasBaltic()`
`boolean` | `hasBindToHostName()`
`boolean` | `hasCachedUserExpirationInterval()`
`boolean` | `hasCentralEuropean()`
`boolean` | `hasCGIDirectory()`
`boolean` | `hasCGITimeout()`
`boolean` | `hasCGIURLPath()`
`boolean` | `hasCharsetInHeader()`
`boolean` | `hasClassPath()`
`boolean` | `hasCyrillic()`
`boolean` | `hasDefaultCharacterSetGroup()`
`boolean` | `hasDefaultHomePage()`
`boolean` | `hasDefaultLinesPerViewPage()`
`boolean` | `hasDefaultRegionalLocale()`
`boolean` | `hasDefaultSearchResultLimit()`
`boolean` | `hasDefaultStringResourceLanguage()`
`boolean` | `hasDNSLookup()`
`boolean` | `hasDNSLookupCache()`
`boolean` | `hasDNSLookupCacheFoundTimeout()`
`boolean` | `hasDNSLookupCacheNotFoundTimeout()`
`boolean` | `hasDNSLookupCacheSize()`
`boolean` | `hasEnableSSLV2()`
`boolean` | `hasFileCompressionOnUpload()`
`boolean` | `hasGreek()`
`boolean` | `hasHebrew()`
`boolean` | `hasHomeURL()`
`boolean` | `hasHostNames()`
`boolean` | `hasHTMLDirectory()`
`boolean` | `hasHTTPPersistentConnections()`
`boolean` | `hasIconDirectory()`
`boolean` | `hasIconURLPath()`
`boolean` | `hasIdleSessionTimeout()`
`boolean` | `hasImageConversionFormat()`
`boolean` | `hasIndic()`
`boolean` | `hasInputTimeout()`
`boolean` | `hasInterlacedRendering()`
`boolean` | `hasIpAddressAllowDenyPriority()`
`boolean` | `hasIPAddressAllowList()`
`boolean` | `hasIpAddressDenyList()`
`boolean` | `hasJapanese()`
`boolean` | `hasJavaServletSupport()`
`boolean` | `hasKorean()`
`boolean` | `hasListenQueueSize()`
`boolean` | `hasLogFileDuration()`
`boolean` | `hasMakeAccessibleToCrawlers()`
`boolean` | `hasMaxActiveSessions()`
`boolean` | `hasMaxCachedDesigns()`
`boolean` | `hasMaxCachedUsers()`
`boolean` | `hasMaximumCachedCommands()`
`boolean` | `hasMaximumCachedDesigns()`
`boolean` | `hasMaximumCachedUsers()`
`boolean` | `hasMaximumRequestsOverSingleConnection()`
`boolean` | `hasMaximumSessionTimeout()`
`boolean` | `hasMaxLinesPerViewPage()`
`boolean` | `hasMaxLogEntryLength()`
`boolean` | `hasMaxNumberOfConcurrentNetworkConnections()`
`boolean` | `hasMaxNumberOfRequestHeaders()`
`boolean` | `hasMaxNumberOfURLPathSegments()`
`boolean` | `hasMaxPostDataInKBytes()`
`boolean` | `hasMaxRequestsPerPersistentConnection()`
`boolean` | `hasMaxSearchResultLimit()`
`boolean` | `hasMaxSizeOfAccessLog()`
`boolean` | `hasMaxSizeOfRequestContent()`
`boolean` | `hasMaxSizeOfRequestHeaders()`
`boolean` | `hasMaxURLLength()`
`boolean` | `hasMetaCharset()`
`boolean` | `hasMinimumActiveThreads()`
`boolean` | `hasNumberOfActiveThreads()`
`boolean` | `hasOptimizeHTTPPerformance()`
`boolean` | `hasOutputTimeout()`
`boolean` | `hasPersistentConnectionTimeout()`
`boolean` | `hasRedirectToResolveExternalLinks()`
`boolean` | `hasRequestTimeout()`
`boolean` | `hasServerURLPath()`
`boolean` | `hasServletFileExtensions()`
`boolean` | `hasSessionAuthentication()`
`boolean` | `hasSessionPersistence()`
`boolean` | `hasSessionStateTracking()`
`boolean` | `hasSimplifedChinese()`
`boolean` | `hasSSLCiphers()`
`boolean` | `hasStoreUserPreferencesInCookies()`
`boolean` | `hasThai()`
`boolean` | `hasTimeFormat()`
`boolean` | `hasTraditionalChinese()`
`boolean` | `hasTurkish()`
`boolean` | `hasUseAutoDetectionOfCharset()`
`boolean` | `hasUseIIsServer()`
`boolean` | `hasUseUTF8ForHTMLForms()`
`boolean` | `hasUseUTF8ForOutput()`
`boolean` | `hasVietnamese()`
`boolean` | `hasWestern()`
`void` | `setAccessLogFormat(java.lang.String s)`
`void` | `setAdditionalStringResourceLanguages(java.lang.String s)`
`void` | `setAllowHTTPClientsToBrowseDatabases(java.lang.String s)`
`void` | `setArabic(java.lang.String s)`
`void` | `setBaltic(java.lang.String s)`
`void` | `setBindToHostName(java.lang.String s)`
`void` | `setCachedUserExpirationInterval(java.lang.String s)`
`void` | `setCentralEuropean(java.lang.String s)`
`void` | `setCGIDirectory(java.lang.String s)`
`void` | `setCGITimeout(double s)`
`void` | `setCGIURLPath(java.lang.String s)`
`void` | `setCharsetInHeader(java.lang.String s)`
`void` | `setClassPath(java.lang.String s)`
`void` | `setCyrillic(java.lang.String s)`
`void` | `setDefaultCharacterSetGroup(java.lang.String s)`
`void` | `setDefaultHomePage(java.lang.String s)`
`void` | `setDefaultLinesPerViewPage(java.lang.String s)`
`void` | `setDefaultRegionalLocale(java.lang.String s)`
`void` | `setDefaultSearchResultLimit(java.lang.String s)`
`void` | `setDefaultStringResourceLanguage(java.lang.String s)`
`void` | `setDNSLookup(java.lang.String s)`
`void` | `setDNSLookupCache(java.lang.String s)`
`void` | `setDNSLookupCacheFoundTimeout(java.lang.String s)`
`void` | `setDNSLookupCacheNotFoundTimeout(java.lang.String s)`
`void` | `setDNSLookupCacheSize(java.lang.String s)`
`void` | `setEnableSSLV2(java.lang.String s)`
`void` | `setFileCompressionOnUpload(java.lang.String s)`
`void` | `setGreek(java.lang.String s)`
`void` | `setHebrew(java.lang.String s)`
`void` | `setHomeURL(java.lang.String s)`
`void` | `setHostNames(java.lang.String s)`
`void` | `setHTMLDirectory(java.lang.String s)`
`void` | `setHTTPPersistentConnections(java.lang.String s)`
`void` | `setIconDirectory(java.lang.String s)`
`void` | `setIconURLPath(java.lang.String s)`
`void` | `setIdleSessionTimeout(java.lang.String s)`
`void` | `setImageConversionFormat(java.lang.String s)`
`void` | `setIndic(java.lang.String s)`
`void` | `setInputTimeout(java.lang.String s)`
`void` | `setInterlacedRendering(java.lang.String s)`
`void` | `setIpAddressAllowDenyPriority(java.lang.String s)`
`void` | `setIPAddressAllowList(java.lang.String s)`
`void` | `setIpAddressDenyList(java.lang.String s)`
`void` | `setJapanese(java.lang.String s)`
`void` | `setJavaServletSupport(int s)`
`void` | `setKorean(java.lang.String s)`
`void` | `setListenQueueSize(java.lang.String s)`
`void` | `setLogFileDuration(java.lang.String s)`
`void` | `setMakeAccessibleToCrawlers(java.lang.String s)`
`void` | `setMaxActiveSessions(java.lang.String s)`
`void` | `setMaxCachedDesigns(java.lang.String s)`
`void` | `setMaxCachedUsers(java.lang.String s)`
`void` | `setMaximumCachedCommands(java.lang.String s)`
`void` | `setMaximumCachedDesigns(java.lang.String s)`
`void` | `setMaximumCachedUsers(java.lang.String s)`
`void` | `setMaximumRequestsOverSingleConnection(java.lang.String s)`
`void` | `setMaximumSessionTimeout(java.lang.String s)`
`void` | `setMaxLinesPerViewPage(java.lang.String s)`
`void` | `setMaxLogEntryLength(java.lang.String s)`
`void` | `setMaxNumberOfConcurrentNetworkConnections(double s)`
`void` | `setMaxNumberOfRequestHeaders(java.lang.String s)`
`void` | `setMaxNumberOfURLPathSegments(java.lang.String s)`
`void` | `setMaxPostDataInKBytes(java.lang.String s)`
`void` | `setMaxRequestsPerPersistentConnection(java.lang.String s)`
`void` | `setMaxSearchResultLimit(java.lang.String s)`
`void` | `setMaxSizeOfAccessLog(java.lang.String s)`
`void` | `setMaxSizeOfRequestContent(java.lang.String s)`
`void` | `setMaxSizeOfRequestHeaders(java.lang.String s)`
`void` | `setMaxURLLength(java.lang.String s)`
`void` | `setMetaCharset(java.lang.String s)`
`void` | `setMinimumActiveThreads(java.lang.String s)`
`void` | `setNumberOfActiveThreads(java.lang.String s)`
`void` | `setOptimizeHTTPPerformance(java.lang.String s)`
`void` | `setOutputTimeout(double s)`
`void` | `setPersistentConnectionTimeout(double s)`
`void` | `setRedirectToResolveExternalLinks(java.lang.String s)`
`void` | `setRequestTimeout(java.lang.String s)`
`void` | `setServerURLPath(java.lang.String s)`
`void` | `setServletFileExtensions(java.lang.String s)`
`void` | `setSessionAuthentication(java.lang.String s)` Domino Web Engine configurations
`void` | `setSessionPersistence(java.lang.String s)`
`void` | `setSessionStateTracking(java.lang.String s)`
`void` | `setSimplifedChinese(java.lang.String s)`
`void` | `setSSLCiphers(java.lang.String s)` HTTP Config
`void` | `setStoreUserPreferencesInCookies(java.lang.String s)`
`void` | `setThai(java.lang.String s)`
`void` | `setTimeFormat(java.lang.String s)`
`void` | `setTraditionalChinese(java.lang.String s)`
`void` | `setTurkish(java.lang.String s)`
`void` | `setUseAutoDetectionOfCharset(java.lang.String s)`
`void` | `setUseIIsServer(java.lang.String s)`
`void` | `setUseUTF8ForHTMLForms(java.lang.String s)`
`void` | `setUseUTF8ForOutput(java.lang.String s)`
`void` | `setVietnamese(java.lang.String s)`
`void` | `setWestern(java.lang.String s)`

Methods inherited from interface com.collation.platform.model.topology.app.lotus.LotusConfig
`getAdditionalFields, getAnonymous, getAuthenticationOptions, getClientCertificate, getEnforceServerAccessSettings, getNameAndPassword, getParent, getPort, getPortStatus, getSSLAnonymous, getSSLAuthenticationOptions, getSSLNameAndPassword, getSSLPortNumber, getSSLPortStatus, getType, hasAdditionalFields, hasAnonymous, hasAuthenticationOptions, hasClientCertificate, hasEnforceServerAccessSettings, hasNameAndPassword, hasParent, hasPort, hasPortStatus, hasSSLAnonymous, hasSSLAuthenticationOptions, hasSSLNameAndPassword, hasSSLPortNumber, hasSSLPortStatus, hasType, setAdditionalFields, setAnonymous, setAuthenticationOptions, setClientCertificate, setEnforceServerAccessSettings, setNameAndPassword, setParent, setPort, setPortStatus, setSSLAnonymous, setSSLAuthenticationOptions, setSSLNameAndPassword, setSSLPortNumber, setSSLPortStatus, setType`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### setSSLCiphers

    void setSSLCiphers(java.lang.String s)

  HTTP Config

  Parameters:
    `s` -

### getSSLCiphers

    java.lang.String getSSLCiphers()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasSSLCiphers

    boolean hasSSLCiphers()

### setEnableSSLV2

    void setEnableSSLV2(java.lang.String s)

### getEnableSSLV2

    java.lang.String getEnableSSLV2()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasEnableSSLV2

    boolean hasEnableSSLV2()

### setHostNames

    void setHostNames(java.lang.String s)

### getHostNames

    java.lang.String getHostNames()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasHostNames

    boolean hasHostNames()

### setBindToHostName

    void setBindToHostName(java.lang.String s)

### getBindToHostName

    java.lang.String getBindToHostName()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasBindToHostName

    boolean hasBindToHostName()

### setDNSLookup

    void setDNSLookup(java.lang.String s)

### getDNSLookup

    java.lang.String getDNSLookup()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasDNSLookup

    boolean hasDNSLookup()

### setDNSLookupCache

    void setDNSLookupCache(java.lang.String s)

### getDNSLookupCache

    java.lang.String getDNSLookupCache()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasDNSLookupCache

    boolean hasDNSLookupCache()

### setDNSLookupCacheSize

    void setDNSLookupCacheSize(java.lang.String s)

### getDNSLookupCacheSize

    java.lang.String getDNSLookupCacheSize()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasDNSLookupCacheSize

    boolean hasDNSLookupCacheSize()

### setDNSLookupCacheFoundTimeout

    void setDNSLookupCacheFoundTimeout(java.lang.String s)

### getDNSLookupCacheFoundTimeout

    java.lang.String getDNSLookupCacheFoundTimeout()
                                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasDNSLookupCacheFoundTimeout

    boolean hasDNSLookupCacheFoundTimeout()

### setDNSLookupCacheNotFoundTimeout

    void setDNSLookupCacheNotFoundTimeout(java.lang.String s)

### getDNSLookupCacheNotFoundTimeout

    java.lang.String getDNSLookupCacheNotFoundTimeout()
                                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasDNSLookupCacheNotFoundTimeout

    boolean hasDNSLookupCacheNotFoundTimeout()

### setNumberOfActiveThreads

    void setNumberOfActiveThreads(java.lang.String s)

### getNumberOfActiveThreads

    java.lang.String getNumberOfActiveThreads()
                                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasNumberOfActiveThreads

    boolean hasNumberOfActiveThreads()

### setHomeURL

    void setHomeURL(java.lang.String s)

### getHomeURL

    java.lang.String getHomeURL()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasHomeURL

    boolean hasHomeURL()

### setHTMLDirectory

    void setHTMLDirectory(java.lang.String s)

### getHTMLDirectory

    java.lang.String getHTMLDirectory()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasHTMLDirectory

    boolean hasHTMLDirectory()

### setIconDirectory

    void setIconDirectory(java.lang.String s)

### getIconDirectory

    java.lang.String getIconDirectory()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasIconDirectory

    boolean hasIconDirectory()

### setIconURLPath

    void setIconURLPath(java.lang.String s)

### getIconURLPath

    java.lang.String getIconURLPath()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasIconURLPath

    boolean hasIconURLPath()

### setCGIDirectory

    void setCGIDirectory(java.lang.String s)

### getCGIDirectory

    java.lang.String getCGIDirectory()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasCGIDirectory

    boolean hasCGIDirectory()

### setCGIURLPath

    void setCGIURLPath(java.lang.String s)

### getCGIURLPath

    java.lang.String getCGIURLPath()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasCGIURLPath

    boolean hasCGIURLPath()

### setAllowHTTPClientsToBrowseDatabases

    void setAllowHTTPClientsToBrowseDatabases(java.lang.String s)

### getAllowHTTPClientsToBrowseDatabases

    java.lang.String getAllowHTTPClientsToBrowseDatabases()
                                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasAllowHTTPClientsToBrowseDatabases

    boolean hasAllowHTTPClientsToBrowseDatabases()

### setMaximumRequestsOverSingleConnection

    void setMaximumRequestsOverSingleConnection(java.lang.String s)

### getMaximumRequestsOverSingleConnection

    java.lang.String getMaximumRequestsOverSingleConnection()
                                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasMaximumRequestsOverSingleConnection

    boolean hasMaximumRequestsOverSingleConnection()

### setMinimumActiveThreads

    void setMinimumActiveThreads(java.lang.String s)

### getMinimumActiveThreads

    java.lang.String getMinimumActiveThreads()
                                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasMinimumActiveThreads

    boolean hasMinimumActiveThreads()

### setDefaultHomePage

    void setDefaultHomePage(java.lang.String s)

### getDefaultHomePage

    java.lang.String getDefaultHomePage()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasDefaultHomePage

    boolean hasDefaultHomePage()

### setMaximumCachedCommands

    void setMaximumCachedCommands(java.lang.String s)

### getMaximumCachedCommands

    java.lang.String getMaximumCachedCommands()
                                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasMaximumCachedCommands

    boolean hasMaximumCachedCommands()

### setOptimizeHTTPPerformance

    void setOptimizeHTTPPerformance(java.lang.String s)

### getOptimizeHTTPPerformance

    java.lang.String getOptimizeHTTPPerformance()
                                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasOptimizeHTTPPerformance

    boolean hasOptimizeHTTPPerformance()

### setAccessLogFormat

    void setAccessLogFormat(java.lang.String s)

### getAccessLogFormat

    java.lang.String getAccessLogFormat()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasAccessLogFormat

    boolean hasAccessLogFormat()

### setTimeFormat

    void setTimeFormat(java.lang.String s)

### getTimeFormat

    java.lang.String getTimeFormat()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasTimeFormat

    boolean hasTimeFormat()

### setLogFileDuration

    void setLogFileDuration(java.lang.String s)

### getLogFileDuration

    java.lang.String getLogFileDuration()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasLogFileDuration

    boolean hasLogFileDuration()

### setMaxLogEntryLength

    void setMaxLogEntryLength(java.lang.String s)

### getMaxLogEntryLength

    java.lang.String getMaxLogEntryLength()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasMaxLogEntryLength

    boolean hasMaxLogEntryLength()

### setMaxSizeOfAccessLog

    void setMaxSizeOfAccessLog(java.lang.String s)

### getMaxSizeOfAccessLog

    java.lang.String getMaxSizeOfAccessLog()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasMaxSizeOfAccessLog

    boolean hasMaxSizeOfAccessLog()

### setHTTPPersistentConnections

    void setHTTPPersistentConnections(java.lang.String s)

### getHTTPPersistentConnections

    java.lang.String getHTTPPersistentConnections()
                                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasHTTPPersistentConnections

    boolean hasHTTPPersistentConnections()

### setMaxRequestsPerPersistentConnection

    void setMaxRequestsPerPersistentConnection(java.lang.String s)

### getMaxRequestsPerPersistentConnection

    java.lang.String getMaxRequestsPerPersistentConnection()
                                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasMaxRequestsPerPersistentConnection

    boolean hasMaxRequestsPerPersistentConnection()

### setPersistentConnectionTimeout

    void setPersistentConnectionTimeout(double s)

### getPersistentConnectionTimeout

    double getPersistentConnectionTimeout()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasPersistentConnectionTimeout

    boolean hasPersistentConnectionTimeout()

### setRequestTimeout

    void setRequestTimeout(java.lang.String s)

### getRequestTimeout

    java.lang.String getRequestTimeout()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasRequestTimeout

    boolean hasRequestTimeout()

### setInputTimeout

    void setInputTimeout(java.lang.String s)

### getInputTimeout

    java.lang.String getInputTimeout()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasInputTimeout

    boolean hasInputTimeout()

### setOutputTimeout

    void setOutputTimeout(double s)

### getOutputTimeout

    double getOutputTimeout()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasOutputTimeout

    boolean hasOutputTimeout()

### setCGITimeout

    void setCGITimeout(double s)

### getCGITimeout

    double getCGITimeout()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasCGITimeout

    boolean hasCGITimeout()

### setListenQueueSize

    void setListenQueueSize(java.lang.String s)

### getListenQueueSize

    java.lang.String getListenQueueSize()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasListenQueueSize

    boolean hasListenQueueSize()

### setMaxNumberOfConcurrentNetworkConnections

    void setMaxNumberOfConcurrentNetworkConnections(double s)

### getMaxNumberOfConcurrentNetworkConnections

    double getMaxNumberOfConcurrentNetworkConnections()
                                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasMaxNumberOfConcurrentNetworkConnections

    boolean hasMaxNumberOfConcurrentNetworkConnections()

### setIpAddressAllowDenyPriority

    void setIpAddressAllowDenyPriority(java.lang.String s)

### getIpAddressAllowDenyPriority

    java.lang.String getIpAddressAllowDenyPriority()
                                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasIpAddressAllowDenyPriority

    boolean hasIpAddressAllowDenyPriority()

### setIPAddressAllowList

    void setIPAddressAllowList(java.lang.String s)

### getIPAddressAllowList

    java.lang.String getIPAddressAllowList()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasIPAddressAllowList

    boolean hasIPAddressAllowList()

### setIpAddressDenyList

    void setIpAddressDenyList(java.lang.String s)

### getIpAddressDenyList

    java.lang.String getIpAddressDenyList()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasIpAddressDenyList

    boolean hasIpAddressDenyList()

### setMaxURLLength

    void setMaxURLLength(java.lang.String s)

### getMaxURLLength

    java.lang.String getMaxURLLength()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasMaxURLLength

    boolean hasMaxURLLength()

### setMaxNumberOfURLPathSegments

    void setMaxNumberOfURLPathSegments(java.lang.String s)

### getMaxNumberOfURLPathSegments

    java.lang.String getMaxNumberOfURLPathSegments()
                                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasMaxNumberOfURLPathSegments

    boolean hasMaxNumberOfURLPathSegments()

### setMaxNumberOfRequestHeaders

    void setMaxNumberOfRequestHeaders(java.lang.String s)

### getMaxNumberOfRequestHeaders

    java.lang.String getMaxNumberOfRequestHeaders()
                                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasMaxNumberOfRequestHeaders

    boolean hasMaxNumberOfRequestHeaders()

### setMaxSizeOfRequestHeaders

    void setMaxSizeOfRequestHeaders(java.lang.String s)

### getMaxSizeOfRequestHeaders

    java.lang.String getMaxSizeOfRequestHeaders()
                                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasMaxSizeOfRequestHeaders

    boolean hasMaxSizeOfRequestHeaders()

### setMaxSizeOfRequestContent

    void setMaxSizeOfRequestContent(java.lang.String s)

### getMaxSizeOfRequestContent

    java.lang.String getMaxSizeOfRequestContent()
                                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasMaxSizeOfRequestContent

    boolean hasMaxSizeOfRequestContent()

### setSessionAuthentication

    void setSessionAuthentication(java.lang.String s)

  Domino Web Engine configurations

### getSessionAuthentication

    java.lang.String getSessionAuthentication()
                                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasSessionAuthentication

    boolean hasSessionAuthentication()

### setUseIIsServer

    void setUseIIsServer(java.lang.String s)

### getUseIIsServer

    java.lang.String getUseIIsServer()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasUseIIsServer

    boolean hasUseIIsServer()

### setMaxCachedDesigns

    void setMaxCachedDesigns(java.lang.String s)

### getMaxCachedDesigns

    java.lang.String getMaxCachedDesigns()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasMaxCachedDesigns

    boolean hasMaxCachedDesigns()

### setMaxCachedUsers

    void setMaxCachedUsers(java.lang.String s)

### getMaxCachedUsers

    java.lang.String getMaxCachedUsers()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasMaxCachedUsers

    boolean hasMaxCachedUsers()

### setCachedUserExpirationInterval

    void setCachedUserExpirationInterval(java.lang.String s)

### getCachedUserExpirationInterval

    java.lang.String getCachedUserExpirationInterval()
                                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasCachedUserExpirationInterval

    boolean hasCachedUserExpirationInterval()

### setStoreUserPreferencesInCookies

    void setStoreUserPreferencesInCookies(java.lang.String s)

### getStoreUserPreferencesInCookies

    java.lang.String getStoreUserPreferencesInCookies()
                                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasStoreUserPreferencesInCookies

    boolean hasStoreUserPreferencesInCookies()

### setDefaultRegionalLocale

    void setDefaultRegionalLocale(java.lang.String s)

### getDefaultRegionalLocale

    java.lang.String getDefaultRegionalLocale()
                                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasDefaultRegionalLocale

    boolean hasDefaultRegionalLocale()

### setImageConversionFormat

    void setImageConversionFormat(java.lang.String s)

### getImageConversionFormat

    java.lang.String getImageConversionFormat()
                                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasImageConversionFormat

    boolean hasImageConversionFormat()

### setInterlacedRendering

    void setInterlacedRendering(java.lang.String s)

### getInterlacedRendering

    java.lang.String getInterlacedRendering()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasInterlacedRendering

    boolean hasInterlacedRendering()

### setDefaultLinesPerViewPage

    void setDefaultLinesPerViewPage(java.lang.String s)

### getDefaultLinesPerViewPage

    java.lang.String getDefaultLinesPerViewPage()
                                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasDefaultLinesPerViewPage

    boolean hasDefaultLinesPerViewPage()

### setMaxLinesPerViewPage

    void setMaxLinesPerViewPage(java.lang.String s)

### getMaxLinesPerViewPage

    java.lang.String getMaxLinesPerViewPage()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasMaxLinesPerViewPage

    boolean hasMaxLinesPerViewPage()

### setDefaultSearchResultLimit

    void setDefaultSearchResultLimit(java.lang.String s)

### getDefaultSearchResultLimit

    java.lang.String getDefaultSearchResultLimit()
                                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasDefaultSearchResultLimit

    boolean hasDefaultSearchResultLimit()

### setMaxSearchResultLimit

    void setMaxSearchResultLimit(java.lang.String s)

### getMaxSearchResultLimit

    java.lang.String getMaxSearchResultLimit()
                                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasMaxSearchResultLimit

    boolean hasMaxSearchResultLimit()

### setMakeAccessibleToCrawlers

    void setMakeAccessibleToCrawlers(java.lang.String s)

### getMakeAccessibleToCrawlers

    java.lang.String getMakeAccessibleToCrawlers()
                                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasMakeAccessibleToCrawlers

    boolean hasMakeAccessibleToCrawlers()

### setRedirectToResolveExternalLinks

    void setRedirectToResolveExternalLinks(java.lang.String s)

### getRedirectToResolveExternalLinks

    java.lang.String getRedirectToResolveExternalLinks()
                                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasRedirectToResolveExternalLinks

    boolean hasRedirectToResolveExternalLinks()

### setJavaServletSupport

    void setJavaServletSupport(int s)

### getJavaServletSupport

    int getJavaServletSupport()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasJavaServletSupport

    boolean hasJavaServletSupport()

### setServerURLPath

    void setServerURLPath(java.lang.String s)

### getServerURLPath

    java.lang.String getServerURLPath()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasServerURLPath

    boolean hasServerURLPath()

### setClassPath

    void setClassPath(java.lang.String s)

### getClassPath

    java.lang.String getClassPath()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasClassPath

    boolean hasClassPath()

### setServletFileExtensions

    void setServletFileExtensions(java.lang.String s)

### getServletFileExtensions

    java.lang.String getServletFileExtensions()
                                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasServletFileExtensions

    boolean hasServletFileExtensions()

### setSessionStateTracking

    void setSessionStateTracking(java.lang.String s)

### getSessionStateTracking

    java.lang.String getSessionStateTracking()
                                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasSessionStateTracking

    boolean hasSessionStateTracking()

### setIdleSessionTimeout

    void setIdleSessionTimeout(java.lang.String s)

### getIdleSessionTimeout

    java.lang.String getIdleSessionTimeout()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasIdleSessionTimeout

    boolean hasIdleSessionTimeout()

### setMaxActiveSessions

    void setMaxActiveSessions(java.lang.String s)

### getMaxActiveSessions

    java.lang.String getMaxActiveSessions()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasMaxActiveSessions

    boolean hasMaxActiveSessions()

### setSessionPersistence

    void setSessionPersistence(java.lang.String s)

### getSessionPersistence

    java.lang.String getSessionPersistence()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasSessionPersistence

    boolean hasSessionPersistence()

### setMaxPostDataInKBytes

    void setMaxPostDataInKBytes(java.lang.String s)

### getMaxPostDataInKBytes

    java.lang.String getMaxPostDataInKBytes()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasMaxPostDataInKBytes

    boolean hasMaxPostDataInKBytes()

### setFileCompressionOnUpload

    void setFileCompressionOnUpload(java.lang.String s)

### getFileCompressionOnUpload

    java.lang.String getFileCompressionOnUpload()
                                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasFileCompressionOnUpload

    boolean hasFileCompressionOnUpload()

### setDefaultStringResourceLanguage

    void setDefaultStringResourceLanguage(java.lang.String s)

### getDefaultStringResourceLanguage

    java.lang.String getDefaultStringResourceLanguage()
                                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasDefaultStringResourceLanguage

    boolean hasDefaultStringResourceLanguage()

### setAdditionalStringResourceLanguages

    void setAdditionalStringResourceLanguages(java.lang.String s)

### getAdditionalStringResourceLanguages

    java.lang.String getAdditionalStringResourceLanguages()
                                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasAdditionalStringResourceLanguages

    boolean hasAdditionalStringResourceLanguages()

### setUseUTF8ForOutput

    void setUseUTF8ForOutput(java.lang.String s)

### getUseUTF8ForOutput

    java.lang.String getUseUTF8ForOutput()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasUseUTF8ForOutput

    boolean hasUseUTF8ForOutput()

### setUseUTF8ForHTMLForms

    void setUseUTF8ForHTMLForms(java.lang.String s)

### getUseUTF8ForHTMLForms

    java.lang.String getUseUTF8ForHTMLForms()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasUseUTF8ForHTMLForms

    boolean hasUseUTF8ForHTMLForms()

### setDefaultCharacterSetGroup

    void setDefaultCharacterSetGroup(java.lang.String s)

### getDefaultCharacterSetGroup

    java.lang.String getDefaultCharacterSetGroup()
                                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasDefaultCharacterSetGroup

    boolean hasDefaultCharacterSetGroup()

### setWestern

    void setWestern(java.lang.String s)

### getWestern

    java.lang.String getWestern()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasWestern

    boolean hasWestern()

### setCentralEuropean

    void setCentralEuropean(java.lang.String s)

### getCentralEuropean

    java.lang.String getCentralEuropean()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasCentralEuropean

    boolean hasCentralEuropean()

### setJapanese

    void setJapanese(java.lang.String s)

### getJapanese

    java.lang.String getJapanese()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasJapanese

    boolean hasJapanese()

### setTraditionalChinese

    void setTraditionalChinese(java.lang.String s)

### getTraditionalChinese

    java.lang.String getTraditionalChinese()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasTraditionalChinese

    boolean hasTraditionalChinese()

### setSimplifedChinese

    void setSimplifedChinese(java.lang.String s)

### getSimplifedChinese

    java.lang.String getSimplifedChinese()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasSimplifedChinese

    boolean hasSimplifedChinese()

### setKorean

    void setKorean(java.lang.String s)

### getKorean

    java.lang.String getKorean()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasKorean

    boolean hasKorean()

### setCyrillic

    void setCyrillic(java.lang.String s)

### getCyrillic

    java.lang.String getCyrillic()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasCyrillic

    boolean hasCyrillic()

### setGreek

    void setGreek(java.lang.String s)

### getGreek

    java.lang.String getGreek()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasGreek

    boolean hasGreek()

### setTurkish

    void setTurkish(java.lang.String s)

### getTurkish

    java.lang.String getTurkish()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasTurkish

    boolean hasTurkish()

### setThai

    void setThai(java.lang.String s)

### getThai

    java.lang.String getThai()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasThai

    boolean hasThai()

### setBaltic

    void setBaltic(java.lang.String s)

### getBaltic

    java.lang.String getBaltic()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasBaltic

    boolean hasBaltic()

### setArabic

    void setArabic(java.lang.String s)

### getArabic

    java.lang.String getArabic()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasArabic

    boolean hasArabic()

### setHebrew

    void setHebrew(java.lang.String s)

### getHebrew

    java.lang.String getHebrew()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasHebrew

    boolean hasHebrew()

### setVietnamese

    void setVietnamese(java.lang.String s)

### getVietnamese

    java.lang.String getVietnamese()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasVietnamese

    boolean hasVietnamese()

### setIndic

    void setIndic(java.lang.String s)

### getIndic

    java.lang.String getIndic()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasIndic

    boolean hasIndic()

### setUseAutoDetectionOfCharset

    void setUseAutoDetectionOfCharset(java.lang.String s)

### getUseAutoDetectionOfCharset

    java.lang.String getUseAutoDetectionOfCharset()
                                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasUseAutoDetectionOfCharset

    boolean hasUseAutoDetectionOfCharset()

### setCharsetInHeader

    void setCharsetInHeader(java.lang.String s)

### getCharsetInHeader

    java.lang.String getCharsetInHeader()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasCharsetInHeader

    boolean hasCharsetInHeader()

### setMetaCharset

    void setMetaCharset(java.lang.String s)

### getMetaCharset

    java.lang.String getMetaCharset()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasMetaCharset

    boolean hasMetaCharset()

### setMaximumCachedDesigns

    void setMaximumCachedDesigns(java.lang.String s)

### getMaximumCachedDesigns

    java.lang.String getMaximumCachedDesigns()
                                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasMaximumCachedDesigns

    boolean hasMaximumCachedDesigns()

### setMaximumCachedUsers

    void setMaximumCachedUsers(java.lang.String s)

### getMaximumCachedUsers

    java.lang.String getMaximumCachedUsers()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasMaximumCachedUsers

    boolean hasMaximumCachedUsers()

### setMaximumSessionTimeout

    void setMaximumSessionTimeout(java.lang.String s)

### getMaximumSessionTimeout

    java.lang.String getMaximumSessionTimeout()
                                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasMaximumSessionTimeout

    boolean hasMaximumSessionTimeout()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD